Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.log
Class LogEntryPrototype

    java.lang.Object
      |
      +--com.compoze.collab.log.LogEntryPrototype

Direct Known Subclasses:
  DefaultLogEntryPrototype

public abstract class LogEntryPrototype
extends java.lang.Object

This class contains information common to each different log entry. A new `EntryPrototype` instance is created for every type of entry that's stored in the log.

Constructor Summary
`protected` | `LogEntryPrototype(LogResourceKey key, LogLevel level, java.lang.Class exceptionClass)` Constructor.

Method Summary
`java.lang.Class` | `getExceptionClass()` Gets the exception class of messages made from this prototype.
`java.lang.String` | `getKey()` Gets the key in the resource bundle for log entry messages made from this prototype.
`LogLevel` | `getLogLevel()` Gets the level of log entries made from this prototype.
`boolean` | `isExceptionPrototype()` Determines if the prototype is for an exception.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LogEntryPrototype

    protected LogEntryPrototype(LogResourceKey key,
                                LogLevel level,
                                java.lang.Class exceptionClass)

  Constructor.
  Parameters:
    `key` - the log resource key
    `level` - the `LogLevel`
    `exceptionClass` - the `Class` of the exception (or `null` if the prototype is not for an exception)

Method Detail

### getKey

    public java.lang.String getKey()

  Gets the key in the resource bundle for log entry messages made from this prototype.
  Returns:
    the key

### getLogLevel

    public LogLevel getLogLevel()

  Gets the level of log entries made from this prototype.
  Returns:
    the log level

### getExceptionClass

    public java.lang.Class getExceptionClass()

  Gets the exception class of messages made from this prototype.
  Returns:
    the exception class (or `null` if the prototype is not for an exception)

### isExceptionPrototype

    public boolean isExceptionPrototype()

  Determines if the prototype is for an exception.
  Returns:
    `true` if the prototype is for an exception

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.